Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.impl
Class DwrXmlConfigurator

    java.lang.Object
      org.directwebremoting.impl.DwrXmlConfigurator

All Implemented Interfaces:
  Configurator

    public class DwrXmlConfigurator

extends java.lang.Object
implements Configurator

A configurator that gets its configuration by reading a dwr.xml file.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary
`static Logger` | `log` The log stream

Constructor Summary
`DwrXmlConfigurator()`

Method Summary
`void` | `configure(Container container)` Do the Configuration actions
`void` | `setClassResourceName(java.lang.String classResourceName)` Setter for a classpath based lookup
`void` | `setDocument(org.w3c.dom.Document document)` To set the configuration document directly
`void` | `setInputStream(java.io.InputStream in)` Setter for a direct input stream to configure from
`void` | `setServletResourceName(java.lang.String servletResourceName)` Setter for the resource name that we can use to read a file from the servlet context
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    public static final Logger log

  The log stream

Constructor Detail

### DwrXmlConfigurator

    public DwrXmlConfigurator()

Method Detail

### setServletResourceName

    public void setServletResourceName(java.lang.String servletResourceName)
                                throws java.io.IOException,
                                       javax.xml.parsers.ParserConfigurationException,
                                       org.xml.sax.SAXException

  Setter for the resource name that we can use to read a file from the servlet context

  Parameters:
    `servletResourceName` - The name to lookup
  Throws:
    `java.io.IOException` - On file read failure
    `javax.xml.parsers.ParserConfigurationException` - On XML setup failure
    `org.xml.sax.SAXException` - On XML parse failure

### setClassResourceName

    public void setClassResourceName(java.lang.String classResourceName)
                              throws java.io.IOException,
                                     javax.xml.parsers.ParserConfigurationException,
                                     org.xml.sax.SAXException

  Setter for a classpath based lookup

  Parameters:
    `classResourceName` - The resource to lookup in the classpath
  Throws:
    `java.io.IOException` - On file read failure
    `javax.xml.parsers.ParserConfigurationException` - On XML setup failure
    `org.xml.sax.SAXException` - On XML parse failure

### setInputStream

    public void setInputStream(java.io.InputStream in)
                        throws javax.xml.parsers.ParserConfigurationException,
                               org.xml.sax.SAXException,
                               java.io.IOException

  Setter for a direct input stream to configure from

  Parameters:
    `in` - The input stream to read from.
  Throws:
    `java.io.IOException` - On file read failure
    `javax.xml.parsers.ParserConfigurationException` - On XML setup failure
    `org.xml.sax.SAXException` - On XML parse failure

### setDocument

    public void setDocument(org.w3c.dom.Document document)

  To set the configuration document directly

  Parameters:
    `document` - The new configuration document

### configure

    public void configure(Container container)

  Description copied from interface: `Configurator`
  Do the Configuration actions

  Specified by:
    `configure` in interface `Configurator`
  Parameters:
    `container` - The object that contains the system objects to configure

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD